﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using NHibernate.DataPortal;
using NHibernate.Domain;

namespace TestApp
{
    /// <summary>
    /// MainWindow.xaml 的交互逻辑
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private UserDal ud = new UserDal();

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            //Add();
            //Delete();
            //Update();
            Select();
        }

        private void Add()
        {
            User user = new User() { UserName = "Jame", Password = "123456", EmailAddress = "abc@163.com", LastLogon = DateTime.Now };
            ud.AddUser(user);
        }

        private void Delete()
        {
            User user = new User() { Id = 3 };
            ud.DeleteUser(user);
        }

        private void Update()
        {
            User user = new User() { Id = 1, UserName = "Jame1", Password = "1234561", EmailAddress = "abc1@163.com", LastLogon = DateTime.Now };
            ud.UpdateUser(user);
        }

        private void Select()
        {
            IList<User> list = ud.GetUsers();
            listView1.ItemsSource = list;
        }
    }
}